from pyb import Pin, ADC
from ssd1306 import SSD1306
import _thread,time
from machine import Pin

adc = ADC(Pin('PA0'))
display = SSD1306(pinout={'sda': 'PB7','scl': 'PB6'},height=64,external_vcc=False)

def funcA(sec):
	time.sleep(sec)
	display.poweron()
	display.init_display()
	display.draw_text(1,1,'ADC')
	display.draw_text(1,14,'ADCvol')

	while True:
		display.draw_text(55,1,str(adc.read()))
		display.draw_text(55,14,str(round(adc.read()/4096,1)*3.3))

		display.display()
		time.sleep_ms(50)

if __name__ == '__main__':
	_thread.start_new_thread(funcA, (1,))






